<template>
    <footer>
      <div class="footer_logo"><img src="/front-end/images/footer-allsetman.png"></div>
      <div class="footer_bg">
        <div class="container">
          <div class="row">
            <div class="col-md-5 col-lg-3 col-xl-4"> <a href="/" replace><img src="/front-end/images/asp_logo.png"></a> </div>
            <div class="col-md-7 col-lg-9 col-xl-8">
              <div class="ftr_address">
                <ul>
                  <li v-if="location!=''"><span class="material-icons">location_on</span> {{location}}</li>
                  <li v-if="contact_phone!=''"><span class="material-icons">phone</span> Order online or Call:<a href="'tel:'+contact_phone">{{getContactPhone()}}</a></li>
                  <li><a href="#" replace><i class="fab fa-facebook-f"></i></a></li>
                </ul>
              </div>
            </div>
            <div class="col-sm-12" v-if="categories.length>0">
              <div class="grid-container">
                <div class="grid_item" v-for="(category,i) in categories" :key="i"> 
                  <ul>
                    <li >
                      <a :href="'/'+location_name+'/'+category.link_rewrite"  replace>{{ category.name }}</a>
                      <ul v-if="category.child_categories.length>0">
                        <li v-for="(child,ind) in category.child_categories" :key="ind">
                          <a :href="'/'+location_name+'/'+category.link_rewrite+'/'+child.link_rewrite" replace>{{ child.name }}</a>
                          </li>
                      </ul>
                    </li>
                  </ul>
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="copyright_content">
          <div class="container">
            <div class="row">
              <div class="col-md-12 col-lg-5"> Copyright &copy; {{ current_year }} All-Set Rentals. All Rights Reserved. </div>
              <div class="col-md-12 col-lg-7">
                <div class="float-right">Serving Perth Families For 50 Years - Rentals And Hire Of Home Appliances</div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </footer>
</template>
<script>
var moment=require('moment')
import {cloneDeep} from 'lodash';
export default {
  name: 'NuxtTutorial',
  data() {
    return  {
      categories : this.$store.state.front_end_data.category_options,
      contact_phone : this.$store.state.front_end_data.contact_phone,
      location : this.$store.state.front_end_data.allset_location,
      current_year : moment().format('YYYY'),
      location_name : this.$store.state.front_end_data.location_name,
    }
  },
  mounted() {
  },
  methods:{
    getContactPhone() {
      let two_digit = this.contact_phone.substring(0,2);
     let four_digit = this.contact_phone.substring(2,6);
      let contact_phone = cloneDeep(this.contact_phone).replace(four_digit,four_digit+" ");
      return contact_phone.replace(two_digit,'('+two_digit+') ');
    },
  }
}
</script>
